Update Message
curl --request PUT \
--url https://api.example.com/messages/{message_id} \
--header 'Content-Type: application/json' \
--data '
{
"task_id": "<string>",
"content": {
"content": "<string>",
"type": "text",
"style": "static",
"format": "plain",
"attachments": [
{
"file_id": "<string>",
"name": "<string>",
"size": 123,
"type": "<string>"
}
]
}
}
'import requests
url = "https://api.example.com/messages/{message_id}"
payload = {
"task_id": "<string>",
"content": {
"content": "<string>",
"type": "text",
"style": "static",
"format": "plain",
"attachments": [
{
"file_id": "<string>",
"name": "<string>",
"size": 123,
"type": "<string>"
}
]
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
task_id: '<string>',
content: {
content: '<string>',
type: 'text',
style: 'static',
format: 'plain',
attachments: [{file_id: '<string>', name: '<string>', size: 123, type: '<string>'}]
}
})
};
fetch('https://api.example.com/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"content": {
"content": "<string>",
"type": "text",
"style": "static",
"format": "plain",
"attachments": [
{
"file_id": "<string>",
"name": "<string>",
"size": 123,
"type": "<string>"
}
]
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Messages
Update Message
PUT
/
messages
/
{message_id}
Update Message
Path Parameters
Body
application/json
Response
Successful Response
Represents a message in the agent system.
This entity is used to store messages in MongoDB, with each message associated with a specific task.
ID of the task this message belongs to
The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.
- TextContent
- ReasoningContent
- DataContent
- ToolRequestContent
- ToolResponseContent
Show child attributes
Show child attributes
The task message's unique id
Available options:
IN_PROGRESS, DONE The timestamp when the message was created
The timestamp when the message was last updated
⌘I

